<div class="dashboard-body">
  <!--  [dir]="textDir"-->
  <div class="heading-row">
    <div class="heading">
      <p>{{ 'dashboard.title' | translate }}</p>
    </div>
    <span class="spacer"></span>
    <div class="buttons">
      <span
        matTooltip="{{ 'helpText.book/modify_appointment' | translate }}"
        [matTooltipDisabled]="!disableModifyAppointmentButton"
        ><button
          mat-button
          [disabled]="disableModifyAppointmentButton"
          class="modify-app-btn"
          (click)="onModifyMultipleAppointment()"
        >
          <img src="assets\Book_Modify Appointment.png" class="modify-app-img" />
          {{ 'dashboard.action_modify_appointment' | translate }}
        </button></span
      >
      <span
        ><button mat-button class="create-app-btn" (click)="onNewApplication()">
          <img src="assets\Create new application.png" class="create-app-img" />
          {{ 'dashboard.action_cre_application' | translate }}
        </button></span
      >
    </div>
  </div>
  <div class="spinner" *ngIf="!isFetched"><mat-spinner [diameter]="50"></mat-spinner></div>
  <div *ngIf="!isNewApplication && isFetched">
    <div class="card-container">
      <div class="card-component" *ngFor="let user of users">
        <mat-card>
          <div class="card-header">
            <span class="checkbox"
              ><mat-checkbox [disabled]="isBookingAllowed(user)" (change)="onSelectUser(user, $event)"
                >{{ 'dashboard.card.text_app_id' | translate }}
              </mat-checkbox></span
            >
            <span class="checkbox"
              ><strong>{{ user.applicationID }}</strong>
              <mat-icon class="icon" matTooltip="{{ 'helpText.applicationId' | translate }}" [inline]="true"
                >help_outline</mat-icon
              >
            </span>
            <span class="spacer"></span>
            <button (click)="onDelete(user)" mat-icon-button [disabled]="user.status === 'Expired'">
              <img
                matTooltip="{{ 'helpText.deleteIcon' | translate }}"
                [matTooltipDisabled]="false"
                src="assets\delete.png"
                class="delete-img"
              />
            </button>
          </div>
          <mat-card-content [ngStyle]="{ marginTop: getMargin(user.name) }">
            <div class="card-content">
              <table>
                <tr>
                  <td>{{ 'dashboard.card.text_name' | translate }}</td>
                  <td [ngClass]="user.name.length > 30 ? 'application-value user__name--wordwrap' : 'application-value'">{{ user.name }}</td>
                </tr>
                <tr>
                  <td>{{ 'dashboard.card.text_appoinment_date' | translate }}</td>
                  <td class="application-value">{{ user.appointmentTime }} {{ user.appointmentDate }}</td>
                </tr>
                <tr>
                  <td>{{ 'dashboard.card.text_status' | translate }}</td>
                  <td id="status" [ngStyle]="{ color: getColor(user.status) }">
                    {{
                      (user.status === 'Booked'
                        ? 'dashboard.status.booked'
                        : user.status === 'Expired'
                        ? 'dashboard.status.expired'
                        : 'dashboard.status.pendingAppointment') | translate
                    }}

                    <mat-icon
                      class="icon"
                      matTooltip="{{
                        (user.status === 'Booked'
                          ? 'helpText.status.booked'
                          : user.status === 'Expired'
                          ? 'helpText.status.expired'
                          : 'helpText.status.pendingAppointment') | translate
                      }}"
                      [inline]="true"
                      >help_outline</mat-icon
                    >
                  </td>
                </tr>
              </table>
            </div>
          </mat-card-content>
          <mat-card-footer>
            <mat-card-actions>
              <button
                mat-button
                class="footer-btn"
                [disabled]="disableModifyDataButton"
                (click)="onModifyInformation(user)"
              >
                <img src="assets\Modify information_grey.png" class="modifyinfo-btn-img" />{{
                  'dashboard.card.action_modify_information' | translate
                }}
              </button>
              <!-- (click)="onSelectUser(user)" -->
              <button
                mat-button
                class="footer-btn"
                (click)="onAcknowledgementView(user)"
                [disabled]="user.status === 'Pending_Appointment'"
              >
                <img src="assets\view.png" class="modifyapp-btn-img" />{{
                  'dashboard.card.action_view_acknowledgement' | translate
                }}
              </button>
              <!-- <button mat-icon-button class="footer-download-btn">
                <img src="assets\download.png" class="download-btn-img" />
              </button> -->
            </mat-card-actions>
          </mat-card-footer>
        </mat-card>
      </div>
    </div>
  </div>
</div>
